/*
 * The internal definitions
 *
 * Copyright (c) 2010-2013, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( LIBFWSI_INTERNAL_DEFINITIONS_H )
#define LIBFWSI_INTERNAL_DEFINITIONS_H

#include <common.h>
#include <types.h>

/* Define HAVE_LOCAL_LIBFWSI for local use of libfwsi
 */
#if !defined( HAVE_LOCAL_LIBFWSI )
#include <libfwsi/definitions.h>

/* The definitions in <libfwsi/definitions.h> are copied here
 * for local use of libfwsi
 */
#else
#include <byte_stream.h>

#define LIBFWSI_VERSION					20130805

/* The version string
 */
#define LIBFWSI_VERSION_STRING				"20130805"

/* The byte order definitions
 */
#define LIBFWSI_ENDIAN_BIG				_BYTE_STREAM_ENDIAN_BIG
#define LIBFWSI_ENDIAN_LITTLE				_BYTE_STREAM_ENDIAN_LITTLE

/* The item type definitions
 */
enum LIBFWSI_ITEM_TYPES
{
	LIBFWSI_ITEM_TYPE_UNKNOWN_0x00                  = 0x00,

	LIBFWSI_ITEM_TYPE_FOLDER_IDENTIFIER		= 0x1f,

	LIBFWSI_ITEM_TYPE_VOLUME_NAME			= 0x2f,

	LIBFWSI_ITEM_TYPE_FILE_ENTRY_DIRECTORY		= 0x31,
	LIBFWSI_ITEM_TYPE_FILE_ENTRY_FILE		= 0x32,

	LIBFWSI_ITEM_TYPE_URI				= 0x61,
};

#endif

#endif

