/*
 * File attributes functions
 *
 * Copyright (c) 2010-2013, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBFWSI_FILE_ATTRIBUTES_H )
#define _LIBFWSI_FILE_ATTRIBUTES_H

#include <common.h>
#include <types.h>

#if defined( __cplusplus )
extern "C" {
#endif

/* The file attribute flags
 */
enum LIBFWSI_FILE_ATTRIBUTE_FLAGS
{
	LIBFWSI_FILE_ATTRIBUTE_FLAG_READ_ONLY			= 0x0001,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_HIDDEN			= 0x0002,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_SYSTEM			= 0x0004,

	LIBFWSI_FILE_ATTRIBUTE_FLAG_DIRECTORY			= 0x0010,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_ARCHIVE			= 0x0020,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_DEVICE			= 0x0040,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_NORMAL			= 0x0080,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_TEMPORARY			= 0x0100,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_SPARSE_FILE			= 0x0200,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_REPARSE_POINT		= 0x0400,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_COMPRESSED			= 0x0800,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_OFFLINE			= 0x1000,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_NOT_CONTENT_INDEXED		= 0x2000,
	LIBFWSI_FILE_ATTRIBUTE_FLAG_ENCRYPTED			= 0x4000,
};

#if defined( HAVE_DEBUG_OUTPUT )

void libfwsi_file_attributes_print(
      uint16_t file_attribute_flags );

#endif

#if defined( __cplusplus )
}
#endif

#endif

